Skip to main content
Cardiff Rugby Online Museum
  • Objects
    • All Objects
    • Featured Objects
    • Recently Added
    • By Category
    • By Keyword
    • Collections
    • Timeline
    • Recently Updated
  • By Season
  • Articles
  • Acknowledgements
  • About CF10
  • Contact Us
  • Search

CRFC 1st Team Photo

Photograph
1952/1953
Photograph - Cardiff RFC 1952/53
Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1953
Cardiff 8 - 3 New Zealand Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1953/54
Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1954
Bective Rangers 21 - 8 Cardiff Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1954 at Old Belvedere
Old Belvedere 9 - 3 Cardiff Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1954 with Bective Rangers
Bective Rangers 21 - 8 Cardiff Read more »
Photograph
1954/1955
Photograph - Cardiff RFC 1954 with Harlequins
Harlequins 8 - 6 Cardiff Read more »
Photograph
1953/1954
Photograph - Cardiff RFC 1954 with Old Belvedere
Old Belvedere 9 - 3 Cardiff Read more »
Photograph
1954/1955
Photograph - Cardiff RFC 1954/55
Read more »
Photograph
1954/1955
Photograph - Cardiff RFC 1954/55
Read more »
Photograph
1955/1956
Photograph - Cardiff RFC 1955/56
Read more »
Photograph
1956/1957
Photograph - Cardiff RFC 1956/57
Read more »
Photograph
1957/1958
Photograph - Cardiff RFC 1957
Cardiff 14 - 11 Australia Read more »
Photograph
1957/1958
Photograph - Cardiff RFC 1957/58
Read more »
Photograph
1957/1958
Photograph - Cardiff RFC 1957/58
Read more »
Photograph
1958/1959
Photograph - Cardiff RFC 1958/59
Read more »

Pages

  • « first
  • ‹ previous
  • …
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • …
  • next ›
  • last »

Copyright © CF10 Rugby Trust 2026. All rights Reserved. Admin Login/Logout
All content on this website is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.